> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openwhispr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search notes

> Search notes using hybrid semantic (vector) and full-text search. Costs 5x against the rate limit.



## OpenAPI

````yaml /openapi.json post /notes/search
openapi: 3.1.0
info:
  title: OpenWhispr API
  version: 1.0.0
  description: Manage notes, folders, transcriptions, and usage programmatically.
servers:
  - url: https://api.openwhispr.com/api/v1
    description: Production
security:
  - bearerAuth: []
paths:
  /notes/search:
    post:
      tags:
        - Notes
      summary: Search notes
      description: >-
        Search notes using hybrid semantic (vector) and full-text search. Costs
        5x against the rate limit.
      operationId: searchNotes
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - query
              properties:
                query:
                  type: string
                  minLength: 1
                  maxLength: 500
                  description: Search text.
                limit:
                  type: integer
                  minimum: 1
                  maximum: 50
                  default: 20
                  description: Max results to return.
      responses:
        '200':
          description: Search results ranked by relevance.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/NoteSearchResult'
components:
  schemas:
    NoteSearchResult:
      type: object
      properties:
        id:
          type: string
          format: uuid
        title:
          type: string
          nullable: true
        content:
          type: string
        enhanced_content:
          type: string
          nullable: true
        note_type:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        score:
          type: number
          description: Relevance score
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key starting with owk_live_

````